complexType "CommodityNotionalQuantity"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 9 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | quantityUnit
</...>

Content Model Elements (1):

  quantityUnit (defined in CommodityNotionalQuantity complexType)

Known Direct Subtypes (1):

  CommoditySettlementPeriodsNotionalQuantity

All Direct / Indirect Based Elements (8):

  integralMultipleQuantity, maxPhysicalQuantity, minimumNotionalQuantity, minPhysicalQuantity, notionalQuantity, notionalStep, quantityStep, settlementPeriodsNotionalQuantityStep

Known Usage Locations

- In derivations of other global types (1):
  CommoditySettlementPeriodsNotionalQuantity (as extension base)
- As direct type of elements (8):
  integralMultipleQuantity, maxPhysicalQuantity, minimumNotionalQuantity, minPhysicalQuantity, notionalQuantity, notionalStep, quantityStep, settlementPeriodsNotionalQuantityStep

Annotation
Commodity Notional.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CommodityNotionalQuantity"> <xsd:sequence> <xsd:element name="quantityUnit" type="QuantityUnit"/> <!--View Generation: SKIPPED quantityFrequency - Other-represented by total quantity--> <!--View Generation: SKIPPED quantity - Other-represented by total quantity--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
quantityUnit

  Type: | QuantityUnit, simple content

  Quantity Unit is the unit of measure applicable for the quantity on the Transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quantityUnit" type="QuantityUnit"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.